Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » NatTable » NatTable 1.1.1 released!
NatTable 1.1.1 released! [message #1422432] Fri, 12 September 2014 21:21 Go to next message
Dirk Fauth is currently offline Dirk FauthFriend
Messages: 2525
Registered: July 2012
Senior Member
Hi everybody,

we just wanted to let you know that NatTable 1.1.1 is released.

It is a bugfix release containing some bugfixes. For more details have a look at Bugzilla.

https://bugs.eclipse.org/bugs/buglist.cgi?list_id=10052766&product=NatTable&query_format=advanced&target_milestone=1.1.1

Greez,
Dirk
Re: NatTable 1.1.1 released! [message #1424025 is a reply to message #1422432] Mon, 15 September 2014 10:46 Go to previous messageGo to next message
Istvan Meszaros is currently offline Istvan MeszarosFriend
Messages: 49
Registered: October 2009
Member
Thanks for all the effort!
icon5.gif  Re: NatTable 1.1.1 released! [message #1442197 is a reply to message #1422432] Fri, 10 October 2014 19:29 Go to previous messageGo to next message
Michael W. is currently offline Michael W.Friend
Messages: 6
Registered: October 2014
Junior Member
Hi,

I want to create a prototype with RCP and NatTable and installed NatTable 1.1.1 from the repository (described here: http://www.eclipse.org/nattable/download.php).

But I can't add NatTable to the build path of my Plug-In Project in eclipse neither as Library nor as Plug-In. What is missing? What am I doing wrong?

I already installed apache poi and glazedlist (from here http://download.eclipse.org/tools/orbit/downloads/drops/S20140917154621/repository/) and tried eclipse 3.7.1 and 4.4.1

Thanks in advance...
Re: NatTable 1.1.1 released! [message #1442252 is a reply to message #1442197] Fri, 10 October 2014 21:28 Go to previous messageGo to next message
Dirk Fauth is currently offline Dirk FauthFriend
Messages: 2525
Registered: July 2012
Senior Member
First verify if it was installed correctly by checking the installed plugins

Help -> About Eclipse -> Installation Details -> Plug-ins

If it is, the question is whether you use a Target Definition to which you need to add the Software Site.
If it is not, you need to check why it wasn't installed. I can't say anything about that with the given information.

You should be able to simply add NatTable to the Plug-in dependencies of your plugin project.
Re: NatTable 1.1.1 released! [message #1444581 is a reply to message #1422432] Tue, 14 October 2014 09:10 Go to previous messageGo to next message
Michael W. is currently offline Michael W.Friend
Messages: 6
Registered: October 2014
Junior Member
Thanks for your answer, Dirk.

The plugin is shown under "Help -> About Eclipse -> Installation Details -> Plug-ins" (see screenshot), and I can add the software site to the target definition (which I haven't made yet).

But I still can't see or choose the plugin under "plugin.xml / Dependencies" neither for required Plugins nor for imported packages.

Does it need to be activated in a way?
Re: NatTable 1.1.1 released! [message #1444595 is a reply to message #1444581] Tue, 14 October 2014 09:39 Go to previous messageGo to next message
Dirk Fauth is currently offline Dirk FauthFriend
Messages: 2525
Registered: July 2012
Senior Member
Do you have a target definition activated that doesn't know it? There is nothing that needs to be activated additionally.
Re: NatTable 1.1.1 released! [message #1444648 is a reply to message #1444595] Tue, 14 October 2014 10:58 Go to previous message
Michael W. is currently offline Michael W.Friend
Messages: 6
Registered: October 2014
Junior Member
I just noticed that I didn't set an api baseline. After setting this, I can choose the plugin now. Thanks a lot.
Previous Topic:GlazedLists FIlter Strategy for Custom Object
Next Topic:Possible Bug With Sorting
Goto Forum:
  


Current Time: Sun Nov 19 19:57:01 GMT 2017

Powered by FUDForum. Page generated in 0.01865 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software